using APT.Infrastructure.Core;
using System;
using System.ComponentModel;

namespace APT.BaseData.Domain.Entities.FM
{
    [Description("日历班次表")]
   [IgnoreT4]public class T_FM_CALENDAR_CLASS : MesEntityBase
    {
        [Description("日历模板ID")]
        [DataFieldForeignKey("Nav_Calendar", "Nav_CalendarClass")]
        public Guid CALENDAR_ID { get; set; }

        [Description("班次ID")]
        public Guid CLASS_ID { get; set; }

        [Description("班次顺序")]
        public int NUM { get; set; }

        [Description("导航：班次表")]
        public virtual T_FM_CLASS Nav_Class { get; set; }

        [Description("导航属性：日历模板")]
        public virtual T_FM_CALENDAR Nav_Calendar { get; set; }
    }
}
